Subject: Re: [RFC] Git User's Survey 2009 - second trial run, and question about announcing it

From: Jakub Narebski <[email-masked]>
Date: Wed, 8 Jul 2009 03:02:28 +0200

On Wed, 8 July 2009, Erik Faye-Lund wrote:
> 2009/7/3 Jakub Narebski <[email-masked]>:
> >
> >    * same filesystem (e.g. /path/to/repo.git or file:///path/to/repo.git)
> 
> Shouldn't this be "local filesystem" or something instead? At least
> I'm using an USB-stick to take make sure I have the active branches of
> some important projects I manage with me at all times (who knows when
> you'll find a computer to do some development even if you're stuck on
> some island in scotland without a laptop or whatever, right?), and I
> was a bit confused if this should be included here or in the "other,
> please specify"-section.

Yes, it should be "local filesystem" (or even "via filesystem"; 
it could have been mounted network share).  Thanks for noticing.

> 
> For me, there was also the question of scp'd patches, but I guess
> those belong in the "other"-section.

IMHO it is no "pulling from upstream".  Anything that includes something
other than git-fetch / git-clone / git-remote-update is of no interest
to this question.  I'll try to explain it in the comments.

-- 
Jakub Narebski
Poland